Subject: Re: handling small numbers

From: [email-masked]
Date: Mon, 8 May 2000 20:32:16 -0700

I'm probably way out of line here but it suddenly stuck me
that this is rather like the closed world assumption written into
the implementation rather than the data base:
< (I = 2147483647, J is I + 1)
< then the answer "no" is *WRONG*; there really truly *does* exist a
< solution to that query.  It is just that there is a defect in the
< implementation such that the implementation cannot represent the
< correct answer. 

I personally regret that we can't switch arithemetics and keep
the same notation, finite, infinite, modulo N ... I've been wanting
ways to program in some of the stranger ones for a long time.

dick